Et kig på openSUSE 11.0 Gnome Edition, igen.

nmjhbhgts

Der er sikkert nogle, der husker, at jeg i april skrev om mine oplevelser med openSUSE 11.0 alpha3 Gnome Edition. Den gang fik jeg nogle verbale prygl over at have testet en alpha version, idet man åbenbart gik ud fra, at jeg havde forventet at finde en perfekt distribution.

Nu er den færdige udgave af openSUSE 11.0 så endelig udgivet, og jeg har kigget på den igen. Ikke fordi, jeg har følt, at jeg skylder nogen noget, men fordi jeg var interesseret i at se, hvad anstrengelserne så er blevet til. Denne gang er det så nærmere en test, jeg udfører. For at der skal være sammenhæng i tingene, er det så igen Gnome versionen, jeg installerer, og jeg installerer den på den samme maskine, blot på en anden harddisk. Hardwaren er: ECS bundkort med Celeron 1,8 Ghz CPU og 512 MB RAM, ATI 9200 grafikkort og en Quantum 10GB HD. Der er internetadgang via kablet netværk.

Et positivt førstehåndsindtryk.

Jeg havde egentlig ikke forventet at kunne downloade min version af openSUSE allerede den 19. juni, men det gik fint, da jeg prøvede sent på eftermiddagen. Sent om aftenen brændte jeg så min live-CD og skulle da også lige prøve den på min daglige computer, som er en ASUS med 2,6 Ghz Pentium P4 CPU, 1 GB Ram og et Nvidia 7100 GS grafikkort. Den bootede fint op, og jeg må sige, at det var en meget positiv overraskelse, bortset fra de ting, jeg på forhånd vidste, at jeg ikke ville bryde mig om, openSUSE's Slab-menu og den rædsomme skrigende grønne farve på deres desktop.

Den fandt mit skærmkort, min printer og USB kortlæser, og memory-sticks blev fundet, når de blev monteret. Der var dog ingen harddisk partitioner, men jeg tror, at det er en bevidst politik fra SUSE's side. Det gør live-CD'en uanvendelig som rescue-CD. Alt i alt gav den et overbevisende førstehåndsindtryk.

Problemer med at boote.

Næste formiddag skulle jeg så boote fra den PC, hvor jeg ville foretage installationen. Efter valg af sprog og standard opstart kommer en meddelelse på skærmen: Input not supported. Det samme skete, når man valgte failsafe. Jeg forsøger igen og trykker F1 for hjælp, men der er ingen hjælp at hente. Jeg forsøger mig med at skrive vga=normal som parameter, og det hjalp.

Jeg konstaterer, hvad klokken er og starter installationsprogrammet. Jeg giver mig god tid for ikke at lave fejl, men alligevel glemmer jeg at se efter, om man kunne have fravalgt installation af bootloader. Det får ingen indflydelse her, da der kun er det ene system på computeren. Der rebootes efter 22 min. og man skal åbenbart selv lukke ned og vælge start fra harddisk ved genstart.

Efter yderligere 10 min. var selve installationen færdig. Derefter bliver man ledet til opdatering og konfigurering af softwarekilder. Man skulle vælge mellem en lang række af webadresser. Udover hovedsoftwarekilden samt Ati og Nvidia, vidste jeg ikke rigtig, hvad de andre var for nogle, så jeg valgte dem alle sammen. Det tog 10 min. at opsætte dem med accept af en masse public keys. Det er jo rart med automatisk import af public keys, men man finder ikke ud af, hvordan det gøres manuelt. Det er dog et problem i alle distributioner.

Alle de fejlmeldinger.

Der kommer en påmindelse om opdatering i nederste højre hjørne. Jeg vælger opdater, og straks fremkommer en alert: PackageKit Error. Da jeg så lukkede den, kom en ny alert, der fortalte: All selected updates have been successfully installed. Når man så lukker denne, starter hele proceduren forfra igen, og sådan kunne man så blive ved, hvis man ikke blev træt af det og undlod at opdatere.

Jeg har en del screenshots af fejlmeddelelser, selv om jeg langt fra har gemt dem alle sammen.
En pdf version af denne test med screenshots kan ses på:
http://www.webkaj.dk/opensusetest.pdf

Andre installationsproblemer.

I stedet åbner jeg Firefox og kigger ind på Linuxin.dk. Jeg ser, at der allerede er to tests af openSUSE 11.0 og dem må jeg naturligvis kigge på. Straks jeg åbner den første, får jeg at vide, at denne side kræver installation at ekstra plugins. Jeg bliver tilbudt at få installeret Adobe Flash Player helt automatisk. Jeg klikker OK og får at vide, at Flash Player er blevet installeret. Efter at have fulgt et link vender jeg tilbage til den samme side, og får igen at vide, at jeg skal installere Flash Player. Der var absolut ikke blevet installeret noget. Jeg klikkede OK igen, og fik igen at vide, at installationen var succesfuld, men kunne hurtigt konstatere, at intet var blevet installeret.

Menuerne.

Jeg lod dette ligge og gav mig til at undersøge menuerne og se, hvilke programmer, der var tilgængelige og hvilke opsætningsmuligheder, der var. Her vil jeg så tillade mig endnu en gang at beklage mig over openSUSE's Slab-menu. Man klikker på More Applications, da det program man søger, jo ikke er blandt de 6 applications, man har direkte adgang til fra menuens forside. Man venter så en halv snes sekunder, før der åbnes et nyt vindue indeholdende alle de øvrige programmer, og først derefter kan man gå i gang med at scrolle efter det ønskede program. Og dette vindue lukkes ned, hver gang man har valgt et program, så hele proceduren skal gentages næste gang, man skal åbne noget.

Jeg følte mig hurtigt tvunget til at aktivere den traditionelle menu, men selv den har openSUSE gjort mere besværlig end nødvendigt. Der er lagt et ekstra niveau ind med undermenuer, og det er da helt unødvendigt, især da disse i de fleste tilfælde kun indeholder et program.

Installation af ekstra programmer.

Jeg gav mig nu til at undersøge mulighederne for at installere ekstra programmer, men fandt hurtigt ud af, at det overhovedet ikke kunne lade sig gøre. Hver gang jeg i Rettelsesvælger-Yast markerede et program til installation, blev alle opdateringsmuligheder også markeret, og dem havde den jo allerede forsøgt at hente uden held. Jeg fandt aldrig en mulighed for at fravælge de automatiske opdateringer.

Efterhånden regnede jeg med, at softwarekilderne måtte være overbelastede, og at det var derfor, jeg ikke kunne downloade noget. Den indlæste fint alle fillisterne, og der var ikke noget brok over public keys. På dette tidspunkt var jeg så træt af den, at jeg valgte at lukke ned for at vende tilbage på et senere tidspunkt.

Ud på eftermiddagen startede jeg så min nye openSUSE 11.0 igen, og da kunne jeg konstatere, at softwarekilderne nu var tilgængelige, så der har altså været en eller fejl om formiddagen den 20. juni. Jeg kunne dog også hurtigt konstatere, at jeg skulle holde mig langt væk fra at anvende opdateringsværktøjet i menulinien til noget som helst andet end at fortælle, at der var tilgængelige opdateringer. Hver gang jeg forsøgte at bruge den, blev jeg bare overdænget med fejlmeldinger, og det er aldrig lykkedes at gennemføre en opgave igennem den. Hvis man starter en opdatering ad den vej, går statusbar'en lynhurtigt op på ca 80% og påstår, at den opdaterer og somme tider, at den installerer, men den gør absolut intet. Når man så efter meget lang tid, hvor statusbar'en ikke har rørt sig, mister tålmodigheden og afbryder, så går den op på 100% og et pop-up vindue fortæller, at opdateringen er succesfuldt tilendebragt, men i Yast kan man konstatere, at der absolut intet er sket.

Men i Rettelsesvælgeren Yast lykkedes det så efterhånden at gennemføre den opdatering, der åbenbart var helt påkrævet, før man kunne installere nye programmer. Derefter gav jeg mig så til at installere de programmer, jeg ønskede, bl. a. en del multimedie- og grafikprogrammer som Audacity, Lame, Flac, Grip, Gimp og Gthumb. Jeg lagde så en lyd-CD i (Del Shannon Gold) og rippede de ønskede numre med Grip. De blev encoded som mp3, men jeg undlod at slette wav-filerne. Efterfølgende kunne jeg konstatere, at jeg ikke kunne afspille mp3-filer.

Jeg blev tilbudt at installere et fluendo-mp3-codec med bare et klik. Det prøvede jeg så, men det kunne alligevel ikke lade sig gøre, selv om den fik det efterspurgte password. Der kom en fejlmelding, der sagde: Root privilegier kræves. Enten blev de ikke givet, eller en ukendt fejl oppstod. Jo, root privilegier blev givet. Jeg installerede det omhandlede codec i Yast bagefter uden problemer.

Installation af printer, endelig noget, der lykkes trods programnedbrud.

Jeg ville også lige forsøge at installere min problematiske Canon iP1600 printer. Canon har en linuxdriver til iP2200, som også kan anvendes til iP1600. Denne har jeg liggende på mit Windows netværk, og den ville jeg så hente, men måtte konstatere, at jeg ikke kunne få adgang dertil, der skete bare intet, når jeg forsøgte. Jeg måtte hente driverne ved hjælp af en USB-stick.

Når man skal installere disse Canon drivere er der nogle afhængigheder, der skal løses, og succesen kommer an på, om disse afhængigheder forefindes i den givne distributions repositories. Det lykkedes at installere printerdriverne i openSUSE 11.0. Printeren skulle så bare konfigureres, men printerkonfigureringsprogrammet gik ned med et brag, hver gang jeg forsøgte at lave noget i det. Det gik altså ikke at konfigurere printeren ad den vej, så jeg åbnede en browser og tastede localhost:631 for at komme til CUPS's opsætningssider. Her kunne jeg så starte forfra med at finde printeren og udvælge driveren. Ved det første forsøg stallede Firefox også under opgaven, og det mislykkedes. Jeg måtte så starte forfra igen, og denne gang lykkedes det sandelig at konfigurere printeren, og jeg kunne endda printe en testside ud.

Du kan ikke undgå at møde Fejl-Frede.

I det hele taget har jeg konstateret, at Firefox kører rigtig dårligt i openSUSE på denne computer. Den er længe om at åbne, og når man skal scrolle foregår det meget hakkende og man kan ikke stoppe, når man vil. Scroller man ved hjælp af op og ned pilene på scrollbaren, går det ufatteligt langsomt. Jeg har også konstateret, at OpenOffice flimrer voldsomt i alle værktøjslinier, når der autosaves eller man klikker på gem ikonet. Det hele bliver opdateret og genindlæst hver gang.
Jeg nævnte lige, at jeg også har installeret lydoptageprogrammet Audacity. Det virker så vidt jeg kan se fint, men hver gang det bliver lukket ned, kommer der en Fejl-Frede og fortæller, at det er gået ned. Ja, vist er det gået ned, men det er vel også meningen, når man trykker på exit.

Ingen adgang til Windowsnetværk.

Der var jo stadigvæk et hængeparti med adgang til mit Windowsnetværk. Lørdag d. 21. juni brugte jeg flere timer på at finde en løsning. Yast har en mængde netværksopsætningsaplets og jeg har prøvet dem alle sammen, men har ikke fundet nogen løsning. Jeg har sammenlignet smb.conf fra flere forskellige Linux distributioner, men de er meget forskellige, og jeg ved ikke nok om det til at kunne lokalisere en eventuel fejl. Jeg har også forsøgt med at stoppe den kørende firewall, men må konstatere, at jeg ikke er i stand til at tilgå Windowsnetværket fra openSUSE 11.0.

Generelt positive reaktioner på openSUSE 11.0.

Det er som før nævnt Gnome versionen af openSUSE 11.0, jeg her har prøvet kræfter med. Andre, der har afprøvet denne distribution har, hvad der vel er naturligt nok, mest fokuseret på KDE versionen, og især den nye KDE4. Reaktionerne har været overvejende positive grænsende til det overstrømmende. Jeg har ikke selv prøvet KDE versionen, men jeg har da ingen grund til at tvivle på andres positive indtryk af denne Linux distribution.
Susan Linton bringer i sin test på http://www.linux.com/feature/139073 et screenshot af packagemanageren Yast2, som slet ikke ligner den pakkemanager, Rettelsesvælger Yast, som jeg har adgang til i min openSUSE. Samme Susan Linton har også afprøvet Gnome-versionen og har haft lignende negative oplevelser med opdateringshåndteringen, som jeg har haft.

Konklusion.

Skulle nogen have lyst til at bruge Gnome versionen af openSUSE 11.0, vil jeg på det kraftigste advare mod at bruge Opdateringshåndteringen PackageKit til andet end at gøre opmærksom på, når der er opdateringer, de skal foretage gennem Yast.

En anden ting er, at der i de få dage, der er gået siden udgivelsen af openSUSE 11.0, har der været et overordentligt stort antal opdateringer, og flere gange til de samme pakker, f.eks. OpenOffice og Firefox og relaterede pakker. Dette sammenholdt med det faktum, at softwarekilderne ikke kunne kontaktes en stor del af fredagen, den 20. juni, kunne godt tolkes således, at udgivelsen blev trumfet igennem, selv om den ikke var helt klar.

At openSUSE med denne udgivelse har styrket sin position i linuxverdenen, er efter alt at dømme hævet over enhver tvivl. Om jeg selv på et tidspunkt vil afprøve openSUSE i KDE versionen, har jeg endnu ikke helt afgjort med mig selv, men jeg kan allerede nu fastslå, at jeg ikke vil savne denne openSUSE 11.0 Gnome, når den om kort tid ryger ud af min computer.

Til slut vil jeg igen tillade mig at linke til pdf versionen, der ligger på min egen hjemmeside: http://www.webkaj.dk/opensusetest.pdf

Kaj Rasmussen

miksi (not verified)
Antal: 4294966363
Tilmeldt:
01-01-1970
User is offline
Re: Et kig på openSUSE 11.0 Gnome Edition, igen.

Kaj, tak for en god og velskrevet anmeldelse. Den overbeviser mig om, at jeg bliver ved KDE. Når jeg læser din anmeldelse, får jeg næsten en fornemmelse af, at Gnome-versionen er OpenSuses svar på Kubuntu - altså en distro som kommer lidt i anden række.

På baggrund af din anmeldelse vil jeg pointere, at jeg med KDE4 ikke er stødt på ét eneste af dine problemer. Jeg ville derfor ønske, at du ville teste KDE4 på samme PC, for det ville være yderst interessant at have en anmeldelse af denne at sammenligne med.


kaj
kaj's picture
Antal: 465
Tilmeldt:
14-03-2004
User is offline
@miksi Du er lige ved at

@miksi
Du er lige ved at have overbevist mig om, at jeg skal prøve med KDE versionen af openSUSE 11.0 på den samme hardware.
Din sammenligning med Kubuntu/Ubuntu er nok meget rigtig. Jeg har heller aldrig prøver Kubuntu, men har selvfølgelig også læst, at der kan være virkelig mange problemer med den.

Som et kuriosum kan jeg da lige bemærke, at jeg efter at have sendt artiklen afsted, har opnået adgang til mit Windowsnetværk.
Jeg havde forsøgt med at lave undtagelse for mine netværksadresser i firewall'en og jeg havde stoppet firewall'en helt, men lige lidt hjalp det.
Så forlod jeg det og lavede noget andet, men jeg skulle da lige prøve en ekstra gang, og så havde jeg pludselig adgang til min Windows-PC.
I går havde jeg også stoppet min firewall, uden at gjorde nogen forskel.

Kaj


cb400f
cb400f's picture
Antal: 3440
Tilmeldt:
20-02-2005
User is offline
Re: Et kig på openSUSE 11.0 Gnome Edition, igen.

Jeg ville nok mene at en dvd-installation med KDE3, ville være det rigtige valg, hvis man altså ønsker en god oplevelse og vil se openSUSE fra sin bedste side.


kaj
kaj's picture
Antal: 465
Tilmeldt:
14-03-2004
User is offline
@cb400f Du har givetvis ret,

@cb400f
Du har givetvis ret, hvilket også understøttes af de øvrige tests, jeg har læst.
Når jeg igen valgte at kigge på Gnome versionen, hænger det delvist sammen med den bredside, du gav mig sidst.

Kaj


sv-erik
Antal: 564
Tilmeldt:
06-11-2006
User is offline
Tja Jeg køre med Gnome

Tja

Jeg køre med Gnome versionen og er mere end tilfreds indtil videre.


jeppester
jeppester's picture
Antal: 228
Tilmeldt:
10-08-2006
User is offline
Oplevelsen er en anden ved brug af en install-DVD

Til folk der har mod på at installere OpenSUSE 11.0 med gnome, vil jeg klart anbefale at installere den fra en DVD istedet for en live-CD. Flere af problemerne som Kaj har oplevet er ikke tilstedeværende i min gnome-installation.

For det første er mp3-support og flash (installationsfejlen findes i øvrigt i firefox på alle platforme jeg har prøvet) installeret out of the box. Det eneste jeg ikke har kunne afspille er m4a-filer.
For det andet har jeg ingen problemer haft med installation af software.

Da disse ting bidrager overordenligt meget til det generelt negative billede af gnome-versionen der tegnes i denne anmeldelse, kan denne artikel ikke rigtig bruges til at beskrive den oplevelse man får, ved at installere OpenSUSE fra DVD.

PS. Det er ikke en kritik af anmelderen eller anmeldelsen, men nærmere en konstatering af at live-cd'en med gnome er så ringe i forhold til at installere fra DVD, at de to oplevelser man får slet ikke kan sammenlignes.


kaj
kaj's picture
Antal: 465
Tilmeldt:
14-03-2004
User is offline
Re: Et kig på openSUSE 11.0 Gnome Edition, igen.

Jeg er helt med på, at en del af de installationsfejl, jeg har oplevet, kan skyldes en en Firefox 3, der er fortvivlende ringe i forhold til forgængeren. Når jeg ikke har tilsvarende problemer med Firefox 3 i Ubuntu, kan det jo være fordi, den er blevet opgraderet til et færdigt system, hvor jeg ikke har haft nogle nævneværdige installationsbehov.
De øvrige problemer med hastigheden og scroll funktionerne skyldes sikkert også Firefox. Der var lidt problemer i OpenOffice også, men det er jo også et tungt programkompleks.

Når jeg valgte live-CD'en, er det fordi, jeg førhen har oplevet problemer med at downloade og brænde store DVD'er (med Fedora og Mandriva). Jeg bilder mig endda ind, at jeg har oplevet bedre installationer med Mandriva One end med Mandriva Free. Det kan selvfølgelig sagtens være anderledes med openSUSE.

Kaj